Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom
Class OctagonalEnvelope

    java.lang.Object
      com.vividsolutions.jts.geom.OctagonalEnvelope

    public class OctagonalEnvelope

extends java.lang.Object

A Bounding Container which is in the shape of an octagon. The OctagonalEnvelope of a geometric object is tight along the four extremal rectilineal parallels and along the four extremal diagonal parallels. Depending on the shape of the contained geometry, the octagon may be degenerate to any extreme (e.g. it may be a rectangle, a line, or a point).

Constructor Summary
`OctagonalEnvelope()` Creates a new null bounding octagon
`OctagonalEnvelope(Coordinate p)` Creates a new null bounding octagon bounding a `Coordinate`
`OctagonalEnvelope(Coordinate p0, Coordinate p1)` Creates a new null bounding octagon bounding a pair of `Coordinate`s
`OctagonalEnvelope(Envelope env)` Creates a new null bounding octagon bounding an `Envelope`
`OctagonalEnvelope(Geometry geom)` Creates a new null bounding octagon bounding a `Geometry`
`OctagonalEnvelope(OctagonalEnvelope oct)` Creates a new null bounding octagon bounding an `OctagonalEnvelope` (the copy constructor).

Method Summary
`boolean` | `contains(OctagonalEnvelope other)`
`void` | `expandBy(double distance)`
`OctagonalEnvelope` | `expandToInclude(Coordinate p)`
`OctagonalEnvelope` | `expandToInclude(CoordinateSequence seq)`
`OctagonalEnvelope` | `expandToInclude(double x, double y)`
`OctagonalEnvelope` | `expandToInclude(Envelope env)`
`void` | `expandToInclude(Geometry g)`
`OctagonalEnvelope` | `expandToInclude(OctagonalEnvelope oct)`
`double` | `getMaxA()`
`double` | `getMaxB()`
`double` | `getMaxX()`
`double` | `getMaxY()`
`double` | `getMinA()`
`double` | `getMinB()`
`double` | `getMinX()`
`double` | `getMinY()`
`boolean` | `intersects(Coordinate p)`
`boolean` | `intersects(OctagonalEnvelope other)`
`boolean` | `isNull()`
`void` | `setToNull()` Sets the value of this object to the null value
`Geometry` | `toGeometry(GeometryFactory geomFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctagonalEnvelope

    public OctagonalEnvelope()

  Creates a new null bounding octagon

### OctagonalEnvelope

    public OctagonalEnvelope(Coordinate p)

  Creates a new null bounding octagon bounding a `Coordinate`

### OctagonalEnvelope

    public OctagonalEnvelope(Coordinate p0,
                             Coordinate p1)

  Creates a new null bounding octagon bounding a pair of `Coordinate`s

### OctagonalEnvelope

    public OctagonalEnvelope(Envelope env)

  Creates a new null bounding octagon bounding an `Envelope`

### OctagonalEnvelope

    public OctagonalEnvelope(OctagonalEnvelope oct)

  Creates a new null bounding octagon bounding an `OctagonalEnvelope` (the copy constructor).

### OctagonalEnvelope

    public OctagonalEnvelope(Geometry geom)

  Creates a new null bounding octagon bounding a `Geometry`

Method Detail

### getMinX

    public double getMinX()

### getMaxX

    public double getMaxX()

### getMinY

    public double getMinY()

### getMaxY

    public double getMaxY()

### getMinA

    public double getMinA()

### getMaxA

    public double getMaxA()

### getMinB

    public double getMinB()

### getMaxB

    public double getMaxB()

### isNull

    public boolean isNull()

### setToNull

    public void setToNull()

  Sets the value of this object to the null value

### expandToInclude

    public void expandToInclude(Geometry g)

### expandToInclude

    public OctagonalEnvelope expandToInclude(CoordinateSequence seq)

### expandToInclude

    public OctagonalEnvelope expandToInclude(OctagonalEnvelope oct)

### expandToInclude

    public OctagonalEnvelope expandToInclude(Coordinate p)

### expandToInclude

    public OctagonalEnvelope expandToInclude(Envelope env)

### expandToInclude

    public OctagonalEnvelope expandToInclude(double x,
                                             double y)

### expandBy

    public void expandBy(double distance)

### intersects

    public boolean intersects(OctagonalEnvelope other)

### intersects

    public boolean intersects(Coordinate p)

### contains

    public boolean contains(OctagonalEnvelope other)

### toGeometry

    public Geometry toGeometry(GeometryFactory geomFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD